Subject: Re: Limit to size of pipe
From: David Rothenberger <[email-masked]>
To: chris <[email-masked]>
Cc: [email-masked]
Date: Tue, 29 Jul 2003 08:55:58 -0700

chris writes:
 > Hello!
 > 
 > Further to an earlier message I sent, I now attach an example. This 
 > tries to send a message of a fixed sized down a pipe. Under windows I 
 > can't seem to send much more than 25k down in one go, although I can 
 > send more if I chop it up into sections. Under linux however I can send 
 > as large amounts as I like. While it is possible to work around it, I 
 > thought I would mention it in case it was easy to fix, just no-one had 
 > requested it :)
 > 
 > 
 > ------------
 > Example program follows: setting MSGSIZE>25000ish on my computer causes 
 > fail (ie pipeval=-1)
 > ------------
 > #include <unistd.h>
 > #include <stdio.h>
 > #define MSGSIZE 23000
 > char *msg1 = "message";

I modified the program to allocate the message buffer to send on the
heap and to initialize the entire thing.  The test seems to work for
any size at that point.

Dave

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/